org.gradle.api.resources

## Interface ReadableResource

- All Superinterfaces:
    Resource

      public interface ReadableResource
      extends Resource

  A resource that can be read. The simplest example is a file.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `read()` Returns an input stream that provides means to read the resource

    - ### Methods inherited from interface org.gradle.api.resources.Resource

      `getBaseName, getDisplayName, getURI`

- - ### Method Detail

    - #### read

          InputStream read()
                           throws MissingResourceException,
                                  ResourceException

      Returns an input stream that provides means to read the resource
      Returns:
        allows reading the resource
      Throws:
        `MissingResourceException`
        `ResourceException`